Available in VPC
Get the list of Object Storage buckets available to use in Cloud DB for MongoDB.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vmongodb/v2/getCloudMongoDbBucketList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the Cloud DB for MongoDB instance to view
|
cloudMongoDbInstanceNo |
String | Optional | Cloud DB for MongoDB server instance number
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/getCloudMongoDbBucketList
?regionCode=KR
&cloudMongoDbInstanceNo=2512****
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
See CloudMongoDbBucketList for the response body.
Response status codes
For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) response status codes.
Response example
The following is a sample response.
-
If
responseFormatType=json{ "getCloudMongoDbBucketListResponse": { "totalRows": 1, "cloudMongoDbBucketList": [ { "bucketName": "bucket" } ], "requestId": "d7f284a2-****-****-****-6c1c35f9a3df", "returnCode": "0", "returnMessage": "success" } } -
If
responseFormatType=xml(default)<?xml version="1.0" encoding="UTF-8"?> <getCloudMongoDbBucketListResponse> <requestId>d7f284a2-****-****-****-6c1c35f9a3df</requestId> <returnCode>0</returnCode> <returnMessage>success</returnMessage> <totalRows>1</totalRows> <cloudMongoDbBucketList> <cloudMongoDbBucket> <bucketName>bucket</bucketName> </cloudMongoDbBucket> </cloudMongoDbBucketList> </getCloudMongoDbBucketListResponse>